Bug 819604 - Fedora 17 installer doesn't recognize LVM partition
Fedora 17 installer doesn't recognize LVM partition
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 13:06 EDT by Petr Tomasek
Modified: 2012-07-16 09:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 894424 (view as bug list)
Environment:
Last Closed: 2012-07-16 09:49:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/syslog (91.06 KB, text/plain)
2012-05-08 14:19 EDT, Petr Tomasek
no flags Details
/tmp/program.log (55.85 KB, text/plain)
2012-05-08 14:20 EDT, Petr Tomasek
no flags Details
/tmp/anaconda.log (5.15 KB, text/x-log)
2012-05-08 14:21 EDT, Petr Tomasek
no flags Details
/tmp/lvdisplay.log (1.82 KB, text/x-log)
2012-05-08 14:22 EDT, Petr Tomasek
no flags Details
storage.log (141.12 KB, text/x-log)
2012-05-23 16:55 EDT, Petr Tomasek
no flags Details
f17 install storage.log (244.33 KB, text/x-log)
2012-06-23 21:23 EDT, Patrick Mansfield
no flags Details
fedora 17 /tmp/anaconda.log for failed LVM partition non-usage (5.72 KB, text/x-log)
2012-06-30 15:43 EDT, Patrick Mansfield
no flags Details
fedora 17 /tmp/program.log for failed LVM partition non-usage (96.98 KB, text/x-log)
2012-06-30 15:43 EDT, Patrick Mansfield
no flags Details
fedora 17 /tmp/syslog for failed LVM partition non-usage (122.75 KB, application/octet-stream)
2012-06-30 15:44 EDT, Patrick Mansfield
no flags Details

  None (edit)
Description Petr Tomasek 2012-05-07 13:06:36 EDT
Description of problem:

Fedora 17 (beta) installer doesn't recognize LVM partitions created with previous Fedora releases (I quess it was done using either Fedora 14 or Fedora 12).

'lvdisplay' (on tty2 root console) recognizes the partitions (i.e. logical volumes) but lists them with status 'inactive'.

Please, make some fix, as this bug makes impossible to install the Fedora 17 on my computer at actually. Thank you!

Versions:

I used the Fedora-17-Beta-i386-netinst.iso (sha256sum=00d9714e0fa60630bd3f1674cfcd8222e434d92808c8dece54bb5da583314750) burnt on bootable CD.
Comment 1 Chris Lumens 2012-05-07 15:18:13 EDT
Please attach /tmp/anaconda.log, /tmp/program.log, and /var/log/syslog as individual files to this bug report.
Comment 2 Petr Tomasek 2012-05-08 14:19:57 EDT
Created attachment 583051 [details]
/tmp/syslog
Comment 3 Petr Tomasek 2012-05-08 14:20:49 EDT
Created attachment 583052 [details]
/tmp/program.log
Comment 4 Petr Tomasek 2012-05-08 14:21:20 EDT
Created attachment 583053 [details]
/tmp/anaconda.log
Comment 5 Petr Tomasek 2012-05-08 14:22:15 EDT
Created attachment 583054 [details]
/tmp/lvdisplay.log
Comment 6 Petr Tomasek 2012-05-08 14:24:33 EDT
Here you are. I added also the output of the lvdisplay command.
Comment 7 Chris Lumens 2012-05-23 10:39:31 EDT
They are listed as inactive because you first have to activate them in order to use them.  I don't see anything in your logs that indicated anaconda even attempted to find logical volumes.  If still available, can you please also grab /tmp/storage.log?  Thanks.
Comment 8 Petr Tomasek 2012-05-23 16:55:32 EDT
Created attachment 586463 [details]
storage.log
Comment 9 Patrick Mansfield 2012-06-18 13:27:16 EDT
I seem to be hitting the same problem, I have the following partitioning and LVM layout:

# lsblk /dev/sda
NAME                                                 MAJ:MIN RM   SIZE RO MOUNTPOINT
sda                                                    8:0    0 298.1G  0 
├─sda1                                                 8:1    0 245.9G  0 
│ └─luks-f1191002-0333-4759-ac9f-161507f8191b (dm-0) 253:0    0 245.9G  0 
│   ├─vgwd300-LogVol01 (dm-1)                        253:1    0  14.7G  0 /
│   ├─vgwd300-LogVol02 (dm-2)                        253:2    0     1G  0 [SWAP]
│   ├─vgwd300-LogVol00 (dm-3)                        253:3    0  14.7G  0 /f13root
│   └─vgwd300-LogVol03 (dm-4)                        253:4    0 215.6G  0 /home
├─sda2                                                 8:2    0    50G  0 /windows
├─sda3                                                 8:3    0     1K  0 
├─sda5                                                 8:5    0   251M  0 /boot
└─sda6                                                 8:6    0     2G  0 

Installing with Fedora 17, the partition tool does not show any of the logical volumes for vgwd300, so I can't install to vgwd300-LogVol00 (currently /f13root), and leave the other partitions (my current "/", swap, and /home) as-is.

This worked fine when installing Fedora 15, and it works fine with CentOS 6.2 - with those, I can see and select vgwd300-LogVol00 for "/" root file system.

Any suggested (and of course safe) workarounds are very much appreciated ...
Comment 10 David Lehman 2012-06-18 13:48:58 EDT
(In reply to comment #8)
> Created attachment 586463 [details]
> storage.log

For some reason udev is not reporting your PV (sda4) as having any recognizable formatting of any kind. Something is wrong either in udev or blkid if that device is indeed an LVM PV.
Comment 11 David Lehman 2012-06-18 13:51:40 EDT
(In reply to comment #9)
<snip>
> Installing with Fedora 17, the partition tool does not show any of the
> logical volumes for vgwd300, 
<snip>

Please attach /tmp/storage.log (as an attachment of type text/plain) so we can get an initial idea of what is happening.
Comment 12 Patrick Mansfield 2012-06-23 21:23:59 EDT
Created attachment 593961 [details]
f17 install storage.log

My /tmp/storage.log created while trying to install Fedora 17.
Comment 13 David Lehman 2012-06-25 10:26:33 EDT
(In reply to comment #12)
> Created attachment 593961 [details]
> f17 install storage.log
> 
> My /tmp/storage.log created while trying to install Fedora 17.

Everything looks normal in there. Your lvs are correctly recognized by the installer. Please attach /tmp/anaconda.log so we can investigate further. If you want to go ahead and attach /tmp/program.log and /tmp/syslog now as well, feel free -- we may need them at some point. Please do attach them individually, though -- no archives.
Comment 14 Patrick Mansfield 2012-06-30 15:43:10 EDT
Created attachment 595471 [details]
fedora 17 /tmp/anaconda.log for failed LVM partition non-usage
Comment 15 Patrick Mansfield 2012-06-30 15:43:57 EDT
Created attachment 595472 [details]
fedora 17 /tmp/program.log for failed LVM partition non-usage
Comment 16 Patrick Mansfield 2012-06-30 15:44:41 EDT
Created attachment 595473 [details]
fedora 17 /tmp/syslog for failed LVM partition non-usage
Comment 17 David Lehman 2012-07-02 10:07:47 EDT
(In reply to comment #16)
> Created attachment 595473 [details]
> fedora 17 /tmp/syslog for failed LVM partition non-usage

How about attaching a screenshot of the main partitioning screen so I can see exactly what you are talking about.
Comment 18 Patrick Mansfield 2012-07-02 17:31:20 EDT
(In reply to comment #17)
> (In reply to comment #16)
> > Created attachment 595473 [details]
> > fedora 17 /tmp/syslog for failed LVM partition non-usage
> 
> How about attaching a screenshot of the main partitioning screen so I can
> see exactly what you are talking about.

It'll be another week or two before I can try to install again.

This problem is a show-stopper for me, I'll probably have to switch to CentOS or something that is still supported.

Have you tried to reproduce the problem?

Create or use an encrypted LUKS partition, create a file system on it.

Install, and try to access the file system.
Comment 19 David Lehman 2012-07-12 11:56:55 EDT
(In reply to comment #18)
> Have you tried to reproduce the problem?

Yes. See below.

> 
> Create or use an encrypted LUKS partition, create a file system on it.
> 
> Install, and try to access the file system.

I did exactly that. I installed an lvm-on-encrypted-pv setup using the F17 installer, rebooted, then provided the luks passphrase when asked. The custom partitioning screen correctly showed the lvs.
Comment 20 Patrick Mansfield 2012-07-15 16:18:55 EDT
(In reply to comment #17)
> (In reply to comment #16)
> > Created attachment 595473 [details]
> > fedora 17 /tmp/syslog for failed LVM partition non-usage
> 
> How about attaching a screenshot of the main partitioning screen so I can
> see exactly what you are talking about.

I re-ran the install today, and the partitions showed up as expected, and I was able to install Fedora 17.

I don't *think* I did anything different, given I tried this 3 times before, and that I was also able install CentOS 6.3. 

I have the log files, and can upload them if you want.
Comment 21 David Lehman 2012-07-16 09:49:08 EDT
The log files from a successful install won't tell me anything about the previous failure in this case. I'm going to close this bug since it appears to have been a transient failure.

Note You need to log in before you can comment on or make changes to this bug.